Skip to content
Proud to collaborate with Microsoft for Startups

docusign.workspace-items.get-workspace-file-pages ​

This method returns a workspace file as rasterized pages.

List File Pages

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
fileidstringYes—The ID of the file.
folderidstringYes—The ID of the folder.
workspaceidstringYes—The ID of the workspace.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip.
dpistringNo—The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.
max_heightstringNo—Sets the maximum height of the returned images in pixels.
max_widthstringNo—Sets the maximum width of the returned images in pixels.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
fileidstringYes—The ID of the file.
folderidstringYes—The ID of the folder.
workspaceidstringYes—The ID of the workspace.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip.
dpistringNo—The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.
max_heightstringNo—Sets the maximum height of the returned images in pixels.
max_widthstringNo—Sets the maximum width of the returned images in pixels.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}/pages
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}/pages
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.workspace-items.get-workspace-file-pages",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "fileid": "value",
    "folderid": "value"
  }
}